### Enumeration

# GLib ChecksumType

since: 2.16

#### Declaration

    enum GLib.ChecksumType

#### Description [src]

The hashing algorithm to be used by `GChecksum` when performing the digest of some data.

Note that the `GChecksumType` enumeration may be extended at a later date to include new hashing algorithm types.

Available since: 2.16

#### Members

Name | Description
--- | ---
`G_CHECKSUM_MD5` | Use the MD5 hashing algorithm.
`G_CHECKSUM_SHA1` | Use the SHA-1 hashing algorithm.
`G_CHECKSUM_SHA256` | Use the SHA-256 hashing algorithm.
`G_CHECKSUM_SHA512` | Use the SHA-512 hashing algorithm (Since: 2.36)
`G_CHECKSUM_SHA384` | Use the SHA-384 hashing algorithm (Since: 2.51)